package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.PvDaPfPara;
import com.ruoyi.predict.mapper.PvDaPfParaMapper;
import com.ruoyi.predict.service.IPvDaPfParaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * PvDaPfParaService业务层处理
 *
 * @author hlf
 * @date 2022-07-11
 */
@Service
public class PvDaPfParaServiceImpl implements IPvDaPfParaService {
    @Autowired(required = false)
    private PvDaPfParaMapper pvDaPfParaMapper;

    /**
     * 查询PvDaPfPara
     *
     * @param windplantNo PvDaPfParaID
     * @return PvDaPfPara
     */
    @Override
    public PvDaPfPara selectPvDaPfParaById(Long windplantNo, Long modelNo) {
        return pvDaPfParaMapper.selectPvDaPfParaById(windplantNo, modelNo);
    }

    /**
     * 查询PvDaPfPara列表
     *
     * @param pvDaPfPara PvDaPfPara
     * @return PvDaPfPara
     */
    @Override
    public List<PvDaPfPara> selectPvDaPfParaList(PvDaPfPara pvDaPfPara) {
        return pvDaPfParaMapper.selectPvDaPfParaList(pvDaPfPara);
    }

    /**
     * 新增PvDaPfPara
     *
     * @param pvDaPfPara PvDaPfPara
     * @return 结果
     */
    @Override
    public int insertPvDaPfPara(PvDaPfPara pvDaPfPara) {
        return pvDaPfParaMapper.insertPvDaPfPara(pvDaPfPara);
    }

    /**
     * 修改PvDaPfPara
     *
     * @param pvDaPfPara PvDaPfPara
     * @return 结果
     */
    @Override
    public int updatePvDaPfPara(PvDaPfPara pvDaPfPara) {
        return pvDaPfParaMapper.updatePvDaPfPara(pvDaPfPara);
    }

    /**
     * 删除PvDaPfPara信息
     *
     * @param windplantNo PvDaPfParaID
     * @return 结果
     */
    @Override
    public int deletePvDaPfParaById(Long windplantNo, Long modelNo) {
        return pvDaPfParaMapper.deletePvDaPfParaById(windplantNo, modelNo);
    }
}
